# Sleep

## Synopsis

action name: `sleep`

Makes the executor of the action plan wait for a given duration

This action is intended for testing purposes only.

## Configuration

Action parameters:

parameter | type | required | description
--- | --- | --- | ---
`duration` | number | yes | Duration to sleep in seconds (minimum: 0)

this page last updated: 2026-04-01 21:51:00

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug